spec = Gem::Specification.new do |s|
  s.name = 'cddl'
  s.version = '0.12.6'
  s.summary = "CDDL generator and validator."
  s.description = %{A parser, generator, and validator for CDDL}
  s.add_dependency('cbor-diag')
  s.add_dependency('abnc', '~> 0.1.1')
  s.add_dependency('json_pure')
  s.add_dependency('abnftt')
  s.add_dependency('regexp-examples', '~> 1.5.1') # , '1.1.0')
  s.add_dependency('colorize')
  s.add_dependency('base32', '~> 0.3')
  s.add_dependency('base45_lite', '~> 1.0')
  s.add_dependency('scanf', '~> 1.0')
  s.files = `git ls-files`.split("\n").grep(/^[a-z]/)
  s.files = Dir['lib/**/*.rb'] + %w(cddl.gemspec) + Dir['data/**/*.abnf'] + Dir['data/**/*.cddl'] + Dir['test-data/**/*.cddl'] + Dir['test/**/*.rb']
  s.require_path = 'lib'
  s.executables = ['cddl']
  s.default_executable = 'cddl'
  s.required_ruby_version = '>= 2.3'
  s.author = "Carsten Bormann"
  s.email = "cabo@tzi.org"
  s.homepage = "http://github.com/cabo/cddl"
  s.license = 'MIT'
end

